APIReferenceMailboxes
List sending mailboxes
Connected Gmail and Microsoft 365 mailboxes with warm-up cap, sends today, send window, and DNS health.
Connected Gmail and Microsoft 365 mailboxes with warm-up cap, sends today, send window, and DNS health.
Authorization
bearerAuth AuthorizationBearer <token>
A Supabase Auth user access token for the signed-in SignalDock user, sent as Authorization: Bearer <token>. Paste one from a signed-in session, or obtain one through the oauth2 scheme; the API accepts either.
In: header
Query Parameters
organizationId*string
Format
uuidResponse Body
application/json
application/problem+json
application/problem+json
curl -X GET "https://example.com/mailboxes?organizationId=497f6eca-6276-4993-bfeb-53cbbbba6f08"[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6", "integration_id": "55d7337e-1d0a-49fc-9826-925ba40df035", "provider": "gmail", "email": "string", "display_name": "string", "status": "connected", "daily_cap": 0, "ramp_start": 0, "ramp_step": 0, "send_window_start": 0, "send_window_end": 0, "timezone": "string", "signature": "string", "health": { "domain": "string", "spf": { "status": "pass", "record": "string", "detail": "string" }, "dkim": { "status": "pass", "record": "string", "detail": "string" }, "dmarc": { "status": "pass", "record": "string", "detail": "string" }, "mx": { "status": "pass", "record": "string", "detail": "string" }, "score": 0, "sendable": true }, "health_checked_at": "2019-08-24T14:15:22Z", "connected_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "sent_today": 0, "effective_cap": 0 }]